REST APIWallet & TransactWallet

GET

Fetches gas tank balances of different chains available on the wallet. Uses the primary wallet coin's fee address to check balances across all available chains.

Path Params

  • walletId string required

    matches ^[0-9a-f]{32}$

Query Params

  • coin string
    Optional coin to include in the balance check even if not yet in enabledChildChains.

Responses

200
OK

Response Body

map of objects

Balances of different coins for a given wallet fee address
  • <key> object
    value object
    • balance string required
      String representation of the balance
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id